Overview | Package | Class | Tree | Deprecated | Index | Help
| Milyn-Tinak Version 0.6.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.milyn.servlet
Class DeviceProfiler

    java.lang.Object
      org.milyn.servlet.DeviceProfiler

public abstract class DeviceProfiler
extends java.lang.Object

J2EE Servlet Device Profiler class.

The DeviceProfiler is controlled by 2 Servlet Configuration parameters (See `ServletParamUtils.getParameterValue(String, ServletConfig)`). These are:

1. DeviceProfileDigester: This is the runtime class name for of the `ProfileConfigDigester` implementation responsible for converting the profile stream into a `ProfileStore`. This parameter defaults to `DefaultProfileConfigDigester`.
2. DeviceProfileUrl: This is the location of the profile. This parameter defaults to "/WEB-INF/device-profile.xml".

Author:
  tfennelly

Constructor Summary
`DeviceProfiler()`

Method Summary
`protected static ProfileSet` | `getDeviceProfile(java.lang.String deviceName, javax.servlet.ServletConfig config)` Get the ProfileSet for the named device.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeviceProfiler

    public DeviceProfiler()

Method Detail

### getDeviceProfile

    protected static ProfileSet getDeviceProfile(java.lang.String deviceName,
                                                 javax.servlet.ServletConfig config)

  Get the ProfileSet for the named device.

  Parameters:
    `deviceName` - The name of the device for which a ProfileSet is sought.
    `config` - Servlet config used to load the profile configuration.
  Returns:
    DeviceIdent instance

Overview | Package | Class | Tree | Deprecated | Index | Help
| Milyn-Tinak Version 0.6.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD